local layoutmanager = require("core.layouts.layoutmanager")

return gears.table.join(
	awful.key( {"Mod4"}, "+",
		function ()
			awful.tag.incmwfact( 0.05)
		end,
		{
			description = "increase master width factor",
			group = "Layout"
		}
	),

	awful.key({"Mod4"}, "-",
		function ()
			awful.tag.incmwfact(-0.05)
		end,
		{
			description = "decrease master width factor",
			group = "Layout"
		}
	),

	awful.key( {"Mod4"}, ",",
		function ()
			layoutmanager:next()
		end,
		{
			description = "select layouts",
			group = "Layout"
		}
	),

	awful.key( {"Mod4"}, ".",
		function ()
			layoutmanager:next_alt()
		end,
		{
			description = "cycle alt layouts",
			group = "Layout"
		}
	)
)
